import {
    WeaTools
} from 'ecCom'

export const getSearchList = (params) => {
    return WeaTools.callApi('/api/hrm/location/getSearchList', 'POST', params);
}

export const getAdvanceSearchCondition = (params) => {
    return WeaTools.callApi('/api/hrm/location/getAdvanceSearchCondition', 'GET', params);
}

export const add = (params) => {
    return WeaTools.callApi('/api/hrm/location/add', 'POST', params);
}

export const getLocationForm = (params) => {
    return WeaTools.callApi('/api/hrm/location/getLocationForm?is_multilang_set=true', 'GET', params);
}

export const deleteTableData = (params) => {
    return WeaTools.callApi('/api/hrm/location/delete', 'POST', params);
}

export const getImportForm = (params) => {
    return WeaTools.callApi('/api/hrm/location/getImportForm?is_multilang_set=true', 'GET', params);
}

export const saveImport = (params) => {
    return WeaTools.callApi('/api/hrm/location/saveImport', 'POST', params);
}

export const getImportLogList = (params) => {
    return WeaTools.callApi('/api/hrm/location/getImportLogList', 'GET', params);
}

export const edit = (params) => {
    return WeaTools.callApi('/api/hrm/location/edit', 'POST', params);
}

export const getImportResult = (params) => {
    return WeaTools.callApi('/api/hrm/location/getImportResult', 'GET', params);
}

export const getCountryDetail = (params) => {
    return WeaTools.callApi('/api/hrm/location/getCountryDetail', 'GET', params);
}

export const deleteImportHistory = (params) => {
    return WeaTools.callApi('/api/hrm/location/deleteImportHistory', 'POST', params);
}

export const getHasRight = (params) => {
    return WeaTools.callApi('/api/hrm/location/getHasRight', 'GET', params);
}

export const getImportResultDetail = (params) => {
    return WeaTools.callApi('/api/hrm/location/getImportRowResultLog', 'GET', params);
}

export const getImportLogDetail = (params) => {
    return WeaTools.callApi('/api/hrm/location/getImportColResultLog', 'GET', params);
}

export const getImportLogSearchCondition = (params) => {
    return WeaTools.callApi('/api/hrm/location/getHistorySearchCondition', 'GET', params);
}

export const getImportHistory = (params) => {
    return WeaTools.callApi('/api/hrm/location/getImportHistory', 'GET', params);
}